using System;
using System.Xml;
using Server;
using Server.Mobiles;

namespace Server.Regions
{
    public class CaveRegion : DungeonRegion
    {
        public CaveRegion( XmlElement xml, Map map, Region parent ) : base( xml, map, parent )
        {
        }

        public override void OnEnter( Mobile m )
        {
            base.OnEnter( m );
            if ( m != null && m.Player )
            {
                m.SendMessage( "You have entered a dark cave" );
            }
        }

        public override void OnExit( Mobile m )
        {
            base.OnExit( m );
        }
    }
}
